curl --request POST \
--url https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"active": true,
"id": 12
}
]
}
'import requests
url = "https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/batch/update"
payload = { "inputs": [
{
"active": True,
"id": 12
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{active: true, id: 12}]})
};
fetch('https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2020-04-17T02:19:26.283Z",
"results": [
{
"active": true,
"createdAt": "2019-06-06T16:56:16.652Z",
"eventType": "contact.propertyChange",
"id": "1234",
"propertyName": "firstname",
"updatedAt": "2019-08-06T16:56:16.652Z"
},
{
"active": false,
"createdAt": "2019-06-06T16:56:16.652Z",
"eventType": "contact.create",
"id": "4567",
"updatedAt": "2019-08-06T16:56:16.652Z"
}
],
"startedAt": "2020-04-17T02:19:26.256Z",
"status": "COMPLETE"
}{
"completedAt": "2020-04-17T02:19:26.283Z",
"errors": [
{
"category": "SUBSCRIPTION_ID_NOT_FOUND",
"context": {
"subscriptionIds": [
"4567"
]
},
"message": "Failed to find subscriptions by id `4567`. Try again using a different subscriptionId.",
"status": "error",
"subCategory": "SubscriptionErrors.SUBSCRIPTION_IDS_NOT_FOUND"
}
],
"numErrors": 1,
"results": [
{
"active": true,
"createdAt": "2019-06-06T16:56:16.652Z",
"eventType": "contact.propertyChange",
"id": "1234",
"propertyName": "firstname",
"updatedAt": "2019-08-06T16:56:16.652Z"
}
],
"startedAt": "2020-04-17T02:19:26.256Z",
"status": "COMPLETE"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch create event subscriptions
Crear suscripciones a eventos en lote para la aplicación especificada.
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de la aplicación de destino.
Cuerpo
Updated details for the specified subscriptions.
Una matriz de objetos SubscriptionBatchUpdateRequest, cada uno de los cuales representa la configuración actualizada de una suscripción de webhook específica en la operación por lotes.
Show child attributes
Show child attributes
Respuesta
successful operation
La marca de tiempo en que se completó la operación por lotes, en formato ISO 8601.
Una matriz que contiene las suscripciones de webhook procesadas correctamente de la operación por lotes.
Show child attributes
Show child attributes
La marca de tiempo en que se empezó a procesar la operación por lotes, en formato ISO 8601.
El estado de la operación por lotes. Los valores aceptados son "PENDING", "PROCESSING", "CANCELED" o "COMPLETE".
CANCELED, COMPLETE, PENDING, PROCESSING Un objeto que contiene varias URL para recursos u operaciones relacionadas.
Show child attributes
Show child attributes
La marca de tiempo en que se solicitó la operación por lotes, en formato ISO 8601.